Create a scheduled scan

POST https://app.cyrion.ai/api/scheduled-scans

Create a new scheduled scan for the authenticated user.

Request body

  • color (string): Event color class
  • end_date (string): End date for multi-day events
  • max_iterations (integer): Maximum iterations for thorough testing
  • name (string, required): Name for the scheduled scan/project
  • scheduled_date (string, required): Date to run (YYYY-MM-DD)
  • scheduled_time (string, required): Time to run (HH:MM)
  • target (string, required): Target URL, repository, or IP address
  • target_type (string): Type of target
  • user_instructions (string): Additional instructions

Responses

  • 200 Successful Response
  • 422 Validation Error